package com.bocloud.nms.model.veeam.job;

public class BackupStorageSettingsEncryptionModel {

    private boolean isEnabled;
    private String encryptionPasswordIdOrNull;
    private String encryptionPasswordTag;

    public boolean  getIsEnabled() {
        return isEnabled;
    }

    public void setIsEnabled(boolean enabled) {
        isEnabled = enabled;
    }

    public String getEncryptionPasswordIdOrNull() {
        return encryptionPasswordIdOrNull;
    }

    public void setEncryptionPasswordIdOrNull(String encryptionPasswordIdOrNull) {
        this.encryptionPasswordIdOrNull = encryptionPasswordIdOrNull;
    }

    public String getEncryptionPasswordTag() {
        return encryptionPasswordTag;
    }

    public void setEncryptionPasswordTag(String encryptionPasswordTag) {
        this.encryptionPasswordTag = encryptionPasswordTag;
    }

    @Override public String toString() {
        return "BackupStorageSettingsEncryptionModel{" + "isEnabled=" + isEnabled + ", encryptionPasswordIdOrNull='"
            + encryptionPasswordIdOrNull + '\'' + ", encryptionPasswordTag='" + encryptionPasswordTag + '\'' + '}';
    }
}
